summaryrefslogtreecommitdiffstats
path: root/lib
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2014-09-02 09:57:32 (EDT)
committer P. J. McDermott <pj@pehjota.net>2014-09-02 09:57:32 (EDT)
commitefbe1efd84608ebf83742178f31837bc503c31bd (patch)
treeb2d279ad3bf8f6fdcde1014a3280884bc378fa22 /lib
parent0d142a4fa2cdfb399706c417a2585f0417f82ec6 (diff)
cmd/install: Make root dir's parent dirs as needed
Diffstat (limited to 'lib')
-rw-r--r--lib/cmd/install.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/lib/cmd/install.sh b/lib/cmd/install.sh
index 8c41b0f..3d40515 100644
--- a/lib/cmd/install.sh
+++ b/lib/cmd/install.sh
@@ -97,7 +97,7 @@ cmd_install_main()
if [ -d "${chroot}" ]; then
error 2 "$(get_msg 'cmd_install_chroot_dir_exists')" "${chroot}"
fi
- if ! mkdir "${chroot}" || ! mkdir "${chroot}/.prokit"; then
+ if ! mkdir -p "${chroot}/.prokit"; then
error 2 "$(get_msg 'cmd_install_mkdir_chroot_fail')" "${chroot}"
fi